SplFileObject::ftruncate
SplFileObject::getChildren
SplFileObject
PHP Manual

# SplFileObject::fwrite

(PHP 5 >= 5.1.0)

SplFileObject::fwrite — Write to file

### Description

public int SplFileObject::fwrite ( string `$str` [, int `$length` ] )

Writes the contents of `string` to the file

### Parameters

`str`

  The string to be written to the file.

`length`

  If the `length` argument is given, writing will stop after `length` bytes have been written or the end of `string` is reached, whichever comes first.

### Return Values

Returns the number of bytes written, or `NULL` on error.

### Examples

Example #1 SplFileObject::fwrite() example

`<?php
$file = new SplFileObject("fwrite.txt", "w");
$written = $file->fwrite("12345");
echo "Wrote $written bytes to file";
?>`

The above example will output something similar to:

    Wrote 5 bytes to file

### See Also

- fwrite() - Binary-safe file write

SplFileObject::ftruncate
SplFileObject::getChildren
SplFileObject
PHP Manual